%global artifactId javax.servlet.jsp
%global jspspec 2.3
%global reltag b02
Name:                glassfish-jsp
Version:             2.3.3
Release:             1
Summary:             Glassfish J2EE JSP API implementation
License:             (CDDL-1.1 or GPLv2 with exceptions) and ASL 2.0
URL:                 http://glassfish.org
Source0:             %{artifactId}-%{version}-%{reltag}.tar.xz
Source1:             generate_tarball.sh
Source2:             http://www.apache.org/licenses/LICENSE-2.0.txt
Source3:             https://javaee.github.io/glassfish/LICENSE.html
Patch0:              %{name}-build-eclipse-compilers.patch
Patch1:              %{name}-port-to-servlet-3.1.patch
BuildArch:           noarch
BuildRequires:       maven-local mvn(javax.servlet:javax.servlet-api)
BuildRequires:       mvn(javax.servlet.jsp:javax.servlet.jsp-api) mvn(net.java:jvnet-parent:pom:)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin) mvn(org.eclipse.jdt:core)
BuildRequires:       mvn(org.glassfish:javax.el)
Provides:            jsp = %{jspspec}
Provides:            jsp%{jspspec}
Provides:            javax.servlet.jsp
Requires:            glassfish-jsp-api
%description
This project provides a container independent implementation of JSP
2.3. The main goals are:
  * Improves current implementation: bug fixes and performance
    improvements
  * Provides API for use by other tools, such as Netbeans
  * Provides a sandbox for new JSP features; provides a reference
    implementation of next JSP spec.

%package help
Summary:             API documentation for %{name}
%description help
%{summary}.

%prep
%setup -q -n %{artifactId}-%{version}-%{reltag}
%patch0 -p1
%patch1 -p1
%pom_add_dep org.eclipse.jdt:core::provided
cp -p %{SOURCE2} LICENSE-ASL-2.0.txt
cp -p %{SOURCE3} LICENSE-CDDL+GPLv2.html
%mvn_alias : "org.eclipse.jetty.orbit:org.apache.jasper.glassfish"
%mvn_file : %{name}/javax.servlet.jsp %{name}
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install
install -d -m 755 %{buildroot}%{_javadir}/javax.servlet.jsp/
pushd %{buildroot}%{_javadir}/javax.servlet.jsp/
for jar in ../%{name}/*jar; do
    ln -sf $jar .
done
build-jar-repository -p . glassfish-jsp-api
xmvn-subst -R %{buildroot} -s .
popd

%files -f .mfiles
%{_javadir}/javax.servlet.jsp
%license LICENSE-ASL-2.0.txt LICENSE-CDDL+GPLv2.html

%files help -f .mfiles-javadoc
%license LICENSE-ASL-2.0.txt LICENSE-CDDL+GPLv2.html

%changelog
* Sat Aug 1 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 2.3.3-1
- Package init
